<?php

$fromemail = $VARS["email"] ?? "";
$clientip = $VARS["ipaddr"] ?? "";

if (!empty($fromemail) && filter_var($fromemail, FILTER_VALIDATE_EMAIL)) {
    $fromemail = strtolower($fromemail);
    if ($database->has("net_contactspam_spammers", ["email" => $fromemail])) {
        $database->update("net_contactspam_spammers", [
            "entrylastreported" => date("Y-m-d H:i:s"),
            "reportcount[+]" => 1
        ], ["email" => $fromemail]);
    } else {
        $database->insert("net_contactspam_spammers", [
            "entrylastreported" => date("Y-m-d H:i:s"),
            "reportcount" => 1,
            "email" => $fromemail
        ]);
    }
}

if (!empty($clientip) && filter_var($clientip, FILTER_VALIDATE_IP)) {
    if ($database->has("net_contactspam_spammers", ["ip" => $clientip])) {
        $database->update("net_contactspam_spammers", [
            "entrylastreported" => date("Y-m-d H:i:s"),
            "reportcount[+]" => 1
        ], ["ip" => $clientip]);
    } else {
        $database->insert("net_contactspam_spammers", [
            "entrylastreported" => date("Y-m-d H:i:s"),
            "reportcount" => 1,
            "ip" => $clientip
        ]);
    }
}

//
// Well if we got here then the message tested negative for spam
//
exitWithJson(["status" => "OK"]);
